## haxe 1.19

=== haxe/Makefile ===
--- 
+++ 
@@ -7,21 +7,34 @@
 SRC=$(NEKO)/libs/include/ocaml/*.ml* *.ml*
 LIBS=unix.cmxa $(XML)/xml-light.cmxa
 FLAGS=-o haxe -pp camlp4o -P $(XML)/dtd.mli -lp "-cclib extc_stubs.o -cclib -lz"
+LFLAGS=
+
+ifeq ($(PPC),1)
+LFLAGS=-ccopt '-arch ppc'
+endif
 
 all: xml
-	ocamlc -c $(EXTC)/extc_stubs.c
-	ocamake $(FLAGS) $(LIBS_SRC) $(SRC) $(LIBS)
+	ocamlopt $(LFLAGS) -c $(EXTC)/extc_stubs.c
+	ocamake -lp "$(LFLAGS)" $(FLAGS) $(LIBS_SRC) $(SRC) $(LIBS)
 
 xml:
-	(cd ${XML} && make xml-light.cmxa)
+	(cd ${XML} && make clean xml-light.cmxa)
 
-universal: clean_haxe all
+mode_ppc:	
+	sudo ln -sfh /usr/local/bin/ocamlopt.ppc /usr/local/bin/ocamlopt
+	sudo ln -sfh /usr/local/lib/ocaml_ppc /usr/local/lib/ocaml
+
+mode_intel:
+	sudo ln -sfh /usr/local/bin/ocamlopt.intel /usr/local/bin/ocamlopt
+	sudo ln -sfh /usr/local/lib/ocaml_intel /usr/local/lib/ocaml
+
+universal:
+	make PPC=1 clean mode_ppc all
+	mv haxe haxe.ppc
+	make clean mode_intel all
 	mv haxe haxe.intel
-	scp macmt:prog/lang/haxe/haxe haxe.ppc
 	lipo -create -arch i386 haxe.intel -arch ppc haxe.ppc -output haxe
-
-clean_haxe:
-	rm -rf haxe
+	chmod +x haxe
 
 tools:
 	(cd std/tools/haxedoc && haxe haxedoc.hxml && cp haxedoc ../../..)
