## haxe 2.7+20110131

=== haxe/Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 LIBS=unix.cmxa str.cmxa $(XML)/xml-light.cmxa
 FLAGS=-o haxe -pp camlp4o -P $(XML)/dtd.mli -lp "-cclib extc_stubs.o -cclib -lz"
 LFLAGS=
+EXPORT=../../../projects/motionTools/haxe
 
 ifeq ($(PPC),1)
 LFLAGS=-ccopt '-arch ppc'
@@ -43,3 +44,7 @@
 clean:
 	ocamake $(FLAGS) -clean $(LIBS_SRC) $(SRC) $(LIBS)
 	rm -rf extc_stubs.o
+
+export:
+	cp haxe*.exe $(EXPORT)
+	rsync -a --exclude .svn --exclude *.n --exclude std/mt --delete std $(EXPORT)
