=== debian/changelog ===
haxe (1:2.7+20110131-3) unstable; urgency=low

  * Fix linking so that it works with multiarch-enabled zlib by simply
    passing -lz to the ocaml compiler, thanks to Steve Langasek.
    (Closes: #622853)
  * Include a small test case to sanity-check the build.

 -- Jens Peter Secher <jps@debian.org>  Sat, 16 Apr 2011 15:01:20 +0200

haxe (1:2.7+20110131-2) unstable; urgency=low

  * Updated man page and bash comletion to include new macro options.

 -- Jens Peter Secher <jps@debian.org>  Sun, 06 Feb 2011 22:27:47 +0100

haxe (1:2.7+20110131-1) experimental; urgency=low

  * New upstream version.
  * Install standard library in /usr/share/haxe/std to cater for the haXe
    executable mangling of the class path: the path has to end in /std.
  * Include the upstream repository in Debian version to allow updating
    the upstream tarball.

 -- Jens Peter Secher <jps@debian.org>  Tue, 01 Feb 2011 00:29:31 +0100

haxe (1:2.6-1) experimental; urgency=low

  * New upstream version, which uses new features not present in the
    Debian version of ocaml extlib (see #596622), so reverting part of
    #519630 by using newest version of extlib directly from Motion-Twin
    CVS.
  * Bumped Standards-Version to 3.9.1, no changes.

 -- Jens Peter Secher <jps@debian.org>  Wed, 15 Sep 2010 21:42:56 +0200
