=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,13 @@
 # The upstream CVS repository.
 motiontwin := :pserver:anonymous@cvs.motion-twin.com:/cvsroot
 cvs := cvs -z3 -d $(motiontwin)
+
+# The Debian version must be of the format <epoch>:<main>.<minor>+<YYYYMMDD>
 version := $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2 | cut -d':' -f2 | cut -d'-' -f1)
-date := 2010-01-12
+year := $(shell echo $(version) | cut -d'+' -f2 | cut -c'1-4')
+month := $(shell echo $(version) | cut -d'+' -f2 | cut -c'5-6')
+day := $(shell echo $(version) | cut -d'+' -f2 | cut -c'7-8')
+date := $(year)-$(month)-$(day)
 repackdir := $(package)-$(version)
 
 # Repackage the source.
@@ -27,6 +32,7 @@
 	$(cvs) login
 	$(cvs) export -N -d $(repackdir) -D $(date) ocaml/swflib
 	$(cvs) export -N -d $(repackdir) -D $(date) ocaml/extc
+	$(cvs) export -N -d $(repackdir) -D $(date) ocaml/extlib-dev
 	$(cvs) export -N -d $(repackdir) -D $(date) neko/libs/include/ocaml
 	svn export -r {$(date)} http://haxe.googlecode.com/svn/trunk $(repackdir)/haxe
 	find $(repackdir) -name .cvsignore -o -name '*.vcproj' \
@@ -42,9 +48,11 @@
 	$(CURDIR)/bin/haxe $(CURDIR)/haxe/std/tools/haxelib/haxelib.hxml
 	touch $@
 
-binary-indep: build-stamp
+check: build-stamp
+	[ "$(shell $(CURDIR)/bin/haxe -x Fib -cp debian)" = "Fib.hx:5: 89" ] \
+		&& echo Test passed || echo Test failed
 
-binary-arch: build-stamp
+binary-arch: check
 	dh_testdir
 	dh_testroot
 	echo $(OCAMLDEPS) >> $(CURDIR)/debian/haxe.substvars
@@ -65,6 +73,8 @@
 	dh_md5sums
 	dh_builddeb
 
+binary-indep: build-stamp
+
 binary: binary-indep binary-arch
 
 clean:
@@ -83,4 +93,4 @@
 	rm -f $(CURDIR)/haxelib
 	dh_clean
 
-.PHONY: binary binary-indep binary-arch build clean
+.PHONY: binary binary-indep binary-arch build check clean
