=== libs/swflib/Makefile ===
# Makefile generated by OCamake
# http://tech.motion-twin.com
.SUFFIXES : .ml .mli .cmo .cmi .cmx .mll .mly

CFLAGS= -I ../extlib -I ../extc -g
LIBS=
LFLAGS= -o swflib.cmxa -a

MODULES=as3code.cmx png.cmx swf.cmx actionScript.cmx as3parse.cmx swfPic.cmx as3hlparse.cmx swfParser.cmx

all: swflib.cmxa

swflib.cmxa: $(MODULES)
	ocamlopt $(LFLAGS) $(LIBS) $(MODULES)

actionScript.cmx: swf.cmx

as3code.cmx: as3.cmi

as3hl.cmi: as3.cmi

as3hlparse.cmx: as3parse.cmx as3hl.cmi as3code.cmx as3.cmi

as3parse.cmx: as3code.cmx as3.cmi

png.cmx: png.cmi

swf.cmx: as3.cmi

swfParser.cmx: swf.cmx as3parse.cmx actionScript.cmx

swfPic.cmx: swf.cmx png.cmi

clean:
	rm -f swflib.cmxa swflib.lib swflib.a as3.cmi as3hl.cmi
	rm -f $(MODULES) $(MODULES:.cmx=.obj) $(MODULES:.cmx=.cmi) $(MODULES:.cmx=.o)

# SUFFIXES
.ml.cmo:
	ocamlc $(CFLAGS) -c $<

.ml.cmx:
	ocamlopt $(CFLAGS) -c $<

.mli.cmi:
	ocamlc $(CFLAGS) $<

.mll.ml:
	ocamllex $<

.mly.ml:
	ocamlyacc $<
