=== debian/changelog ===
haxe (1:3.0.0~svn6707-4) unstable; urgency=low

  * QA upload.
  * debian/haxe.install: Fix typo that resulted in misplaced .el files.
  * debian/rules: Comment out chmod call specifying odd /usr/lib permissions.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 26 Jul 2013 21:26:38 -0400

haxe (1:3.0.0~svn6707-3) unstable; urgency=low

  * QA upload.
  * Upload to unstable.
  * Bytecompiling builds all archs. (Closes: #621890).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 26 Jul 2013 09:04:49 -0400

haxe (1:3.0.0~svn6707-2) experimental; urgency=low

  * QA upload.
  * Bytecompile everything.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 23 Jul 2013 11:05:26 -0400

haxe (1:3.0.0~svn6707-1) experimental; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * New upstream release.
  * Use upstream Makefile to build.
  * Make VCS tags canonical.
  * Fix grammar errors in manpages.
  * Add watch file.
  * Bump debhelper build-dep and compat to 9.
    + Convert rules to simple dh style.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Thu, 18 Jul 2013 13:24:29 -0400
