=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for haXe.

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_install:

override_dh_install:
	mkdir -p $(CURDIR)/debian/haxe/etc/bash_completion.d
	cp debian/bash_completion $(CURDIR)/debian/haxe/etc/bash_completion.d/haxe
	mkdir -p $(CURDIR)/debian/haxe/usr/bin
	mkdir -p $(CURDIR)/debian/haxe/usr/lib
	cp std/tools/haxelib/haxelib.sh $(CURDIR)/debian/haxe/usr/bin/haxelib
	cp std/tools/haxedoc/haxedoc.sh $(CURDIR)/debian/haxe/usr/bin/haxedoc
	dh_install
	rm -f $(CURDIR)/debian/haxe/usr/share/haxe/std/tools/haxelib/haxelib.sh
	rm -f $(CURDIR)/debian/haxe/usr/share/haxe/std/tools/haxedoc/haxedoc.sh

override_dh_clean:
	find $(CURDIR) -name '*.cmx' |xargs rm -f
	find $(CURDIR) -name '*.cmo' |xargs rm -f
	find $(CURDIR) -name '*.cma' |xargs rm -f
	dh_clean
