=== debian/watch ===
version=3
http://haxe.org/file/haxe-(.+)-linux32\.tar\.gz
