## haxe 3.0.0~svn6707+dfsg

=== debian/changelog ===
haxe (1:3.0.0~svn6707+dfsg-1) unstable; urgency=medium

  * Adopt as Debian Flash Team (Closes: #742052).
    + Set maintainer to Debian Flash team, add myself to uploaders.
  * Set Vcs-* fields to updated collab-maint git repo.
  * Replace jquery-latest.min.js and swfobject.js with symlinks to system ones.
    + Remove sourceless files from upstream tarball (Closes: #736596).
    + Add libjs-jquery and libjs-swfobject runtime dependencies.
  * Convert d/copyright to format 1.0, thanks cme.
    + Add Files-Excluded to remove sourceless files.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Move d/watch check to github, add get-orig-source target.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 19 May 2015 19:00:57 +0200
