=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,6 @@
 	find $(CURDIR) -name '*.cmo' |xargs rm -f
 	find $(CURDIR) -name '*.cma' |xargs rm -f
 	dh_clean
+
+get-orig-source:
+	uscan --verbose --rename --compression xz --force-download
