## haxe 3.2.1%2Bdfsg

=== debian/control ===
Source: haxe
Section: devel
Priority: optional
Maintainer: Andy Li <andy@onthewings.net>
Standards-Version: 3.9.6
Build-Depends: camlp4 (>= 3.11),
               debhelper (>= 9),
               libxml-light-ocaml-dev,
               neko (>= 2.0.0~),
               ocaml,
               ocaml-best-compilers | ocaml-native-compilers,
               ocaml-findlib,
               zlib1g-dev,
               bash-completion
Vcs-Git: https://github.com/HaxeFoundation/haxe-debian.git
Vcs-Browser: https://github.com/HaxeFoundation/haxe-debian
Homepage: http://haxe.org

Package: haxe
Architecture: any
Depends: libjs-jquery,
         libjs-swfobject,
         neko (>= 2.0.0),
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Description: multi-target universal programming language
 Haxe is an open source toolkit based on a modern,
 high level, strictly typed programming language, a cross-compiler,
 a complete cross-platform standard library and ways to access each
 platform's native capabilities.
